/// <reference types="knockout" />
import { InputElement, InputElementOptions, InputElementType } from "../inputElement";
export interface NumberOptions extends InputElementOptions<number> {
    value?: number | KnockoutObservable<number>;
    valueUpdateMode?: NumberValueUpdateMode;
}
export declare type NumberValueUpdateMode = "OnInput" | "OnChange";
export declare class Number extends InputElement<number> {
    constructor(options?: NumberOptions, elementType?: string, inputElementType?: InputElementType);
    build(): void;
    private innerValue;
    private innerSetValue;
    getValue(): number;
    setValue(value: number, triggerChange?: boolean): void;
    readonly options: NumberOptions;
}
