import { UiElement, UiElementOptions } from "./uiElement";
export interface ChildrensElementOptions<TChild extends UiElement> extends UiElementOptions {
    children?: Array<TChild>;
}
export declare abstract class ChildrensElement<TChild extends UiElement> extends UiElement {
    protected constructor(tagName: string, type: string, options?: ChildrensElementOptions<TChild>);
    private renderItems;
    build(): void;
    getChildren(): TChild[];
    setChildren(children: Array<TChild>): void;
    addChild(newItem: TChild, referenceItem?: TChild): void;
    removeChild(element: TChild): void;
    clear(): void;
    options: ChildrensElementOptions<TChild>;
}
